# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(Crypt/Rijndael.pm) perl(Crypt/Twofish.pm) perl(Digest/SHA1.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(MIME/Base64.pm) perl(Socket.pm) perl(base.pm) perl(overload.pm) perl(Coro/Debug.pm) perl(Algorithm/FEC.pm) perl(Array/Heap2.pm)
# END SourceDeps(oneline)
%define module_version 1.2
%define module_name Net-FCP
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.2
Release: alt1
Summary: http://freenet.sf.net client protocol
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/ML/MLEHMANN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module implements the first version of the freenet client protocol,.for use with freenet versions 0.5. For freenet protocol version 2.0
support (as used by freenet 0.7), see the the AnyEvent::FCP manpage module.

See http://freenet.sourceforge.net/index.php?page=fcp for a description
of what the messages do.

The module uses the AnyEvent manpage to find a suitable Event module.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes COPYING README
%perl_vendor_privlib/N*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1
- initial import by package builder

